using System.Threading;
using System;
using System.Xml;
using System.IO;
using GLib;
using Gtk;
using Gnome;
using GtkSharp;
using System.Runtime.InteropServices;
using System.Collections;
using System.Drawing;

class Driver {

	[DllImport ("libebook")]
		extern static IntPtr e_book_simple_find (string field, string needle, string how);

	static void Main (string [] args)
	{
		Program prog = new Program ("test", "0.0", Modules.UI, args);

		Gtk.Window win = new Gtk.Window ("Button Tester");
		win.DefaultSize = new Size (200, 150);
		Button btn = new Button ("Click Me");
		btn.Clicked += new EventHandler (btn_click);
		win.Add (btn);
		win.ShowAll ();
		Application.Run ();


	}

	static void btn_click (object obj, EventArgs args)
	{
		System.Threading.Thread t = new System.Threading.Thread (new System.Threading.ThreadStart (get_card));
		t.Start ();
	}

	static void get_card ()
	{
		IntPtr p;

		Console.WriteLine ("in get_card");

		p = e_book_simple_find ("aim_name", "EojWahs", "is");

		GLib.List l = new GLib.List (p, typeof (string));
		ArrayList matches = new ArrayList (l);

		foreach (string s in matches) {
			Console.WriteLine ("Got a match.");
		}
	}
}
